View Issue Details

IDProjectCategoryView StatusLast Update
0003537GNUnetfile-sharing servicepublic2018-06-07 00:25
ReporterbrataoAssigned Tobratao 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
PlatformW32OSWindowsOS Version8.1
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003537: Crash during search
DescriptionDuring a search I got this crash.

process_result_message at datastore_api calls in line 1199 the function handle_datastore_reply at gnunet-service-fs_cadet_server.c

By rc.proc (rc.proc_cls, NULL, 0, NULL, 0, 0, 0, GNUNET_TIME_UNIT_ZERO_ABS,
               0);

However, handle_datastore_reply checks if (NULL == data) , and will print the variable key. Both variables will be always be NULL. And the system will crash when calling GNUNET_h2s (key)




Additional InformationStack

1 GNUNET_abort common_logging.c 287 0x64c88c2a
2 GNUNET_STRINGS_data_to_string strings.c 864 0x64cd239b
3 GNUNET_CRYPTO_hash_to_enc crypto_hash.c 259 0x64ca3b42
4 GNUNET_h2s common_logging.c 1059 0x64c8a24f
5 handle_datastore_reply gnunet-service-fs_cadet_server.c 348 0x41791a
6 process_result_message datastore_api.c 1199 0x6c705365
7 receive_cb datastore_api.c 590 0x6c702e67
8 receive_task client.c 595 0x64c843f6
9 run_ready scheduler.c 595 0x64cc2bcf
10 GNUNET_SCHEDULER_run scheduler.c 817 0x64cc344d
11 GNUNET_SERVICE_run service.c 1498 0x64cd00e3
12 main gnunet-service-fs.c 737 0x40251f
TagsNo tags attached.

Activities

Christian Grothoff

2014-09-12 17:47

manager   ~0008577

I believe bratao fixed this one already himself.

Issue History

Date Modified Username Field Change
2014-09-05 04:39 bratao New Issue
2014-09-12 17:47 Christian Grothoff Note Added: 0008577
2014-09-12 17:47 Christian Grothoff Status new => resolved
2014-09-12 17:47 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-12 17:47 Christian Grothoff Resolution open => fixed
2014-09-12 17:47 Christian Grothoff Assigned To => bratao
2014-09-12 17:48 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed